diff --git a/tests/p_amanda/amanda-server_test.sh b/tests/p_amanda/amanda-server_test.sh
index 66f94ba..522a735 100755
--- a/tests/p_amanda/amanda-server_test.sh
+++ b/tests/p_amanda/amanda-server_test.sh
@@ -119,6 +119,5 @@ fi
 /bin/rm -rf /etc/amanda/MyConfig
 /bin/rm -rf /etc/amandabackup-test
 
-echo $ret_val
-#t_CheckExitStatus $ret_val
+t_CheckExitStatus $ret_val
 
diff --git a/tests/p_arpwatch/0_install_arpwatch.sh b/tests/p_arpwatch/0_install_arpwatch.sh
new file mode 100755
index 0000000..aa0daba
--- /dev/null
+++ b/tests/p_arpwatch/0_install_arpwatch.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+# Author: Christoph Galuschka <christoph.galuschka@chello.at>
+
+# Install arpwatch
+t_InstallPackage arpwatch
+
diff --git a/tests/p_arpwatch/arpwatch_test.sh b/tests/p_arpwatch/arpwatch_test.sh
new file mode 100755
index 0000000..b27b4a3
--- /dev/null
+++ b/tests/p_arpwatch/arpwatch_test.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+#         Christoph Galuschka <christoph.galuschka@chello.at>
+
+t_Log "Running $0 - arpwatch on eth0"
+
+# getting IP-address of default gateway
+defgw=$(ip route list | grep default | cut -d' ' -f3)
+
+# setting path to arp.dat
+if (t_GetPkgRel basesystem | grep -q el5)
+  then
+  arpdat='/var/arpwatch/arp.dat'
+else
+  arpdat='/var/lib/arpwatch/arp.dat'
+fi
+
+# beginning and running test
+arp -d $defgw
+arpwatch
+sleep 2
+ping -q -i 0.25 -c 5 $defgw
+killall arpwatch
+
+grep -q $defgw $arpdat
+ret_val=$?
+
+# cleaning up
+cat /dev/null > $arpdat
+
+t_CheckExitStatus $ret_val
diff --git a/tests/p_sendmail/0-install_sendmail.sh b/tests/p_sendmail/0-install_sendmail.sh
index 4711843..2d3d71c 100755
--- a/tests/p_sendmail/0-install_sendmail.sh
+++ b/tests/p_sendmail/0-install_sendmail.sh
@@ -5,8 +5,7 @@ t_InstallPackage sendmail
 
 # Remove other MTAs
 t_ServiceControl postfix stop
-t_ServiceControl exim stop
 sleep 3
-t_RemovePackage postfix exim
+t_RemovePackage postfix
 
 t_ServiceControl sendmail start